function quantile_adf=criticalvalues_ADF(T)

    % Find right-hand ADF critical values by simulation
    % (test with no trend, model 1)
    
    % Check if critical values with this T have already been computed
    filename=['criticalvalues/ADF_' num2str(T) '.mat'];
    f=fopen(filename);
    if f==-1
    
        qe=[0.90;0.95;0.99];

        m=2000;

        %%%%%% DATA GENERATING PROCESS %%%%%%
        % PWY initialize the random number generator to 1
        SI=1;
        randn('seed',SI);   
        e=randn(T,m); 

        % Asymptotic drift
        a=T^(-1);

        y=cumsum(e+a);

        adfs=nan(1,m);

        for j=1:m
            adfs(1,j)= ADF_FL(y(:,j),0,1);  
        end

        quantile_adf=quantile(adfs,qe);
        
        save(filename,'quantile_adf');
        
    else
        
        fclose(f);
        load(filename);
        
    end

end
