function quantile_bsadf=criticalvalues_BSADF(T)
% Note that this function is computing the entire sequence

% Check if critical values with this T have already been computed

filename=['criticalvalues/BSADF_' num2str(T) '.mat'];
f=fopen(filename);
if f==-1
    
    qe=[0.90;0.95;0.99];
    
    m=2000;
    r0=0.01+1.8/sqrt(T);
    swindow0=floor(r0*T);       % change your minimum window size here
    
    dim=T-swindow0+1;
    
    Msadfs=zeros(m,dim);
    
    parfor ii=1:T-swindow0+1
        
        r2=swindow0-1+ii;
        
        r2
        
        %%%%%% DATA GENERATING PROCESS %%%%%%
        % PWY initialize the random number generator to 1
        SI=1;
        randn('seed',SI);
        e=randn(r2,m);
        
        % Asymptotic drift
        a=r2^(-1);
        
        y=cumsum(e+a);
        
        %%% THE SUP ADF TEST %%%%%%
        
        % m is the number of simulations
        badfs=zeros(r2-swindow0+1,m);
        for j=1:1:m;
            for r1=1:1:r2-swindow0+1;
                badfs(r1,j)= ADF_FL(y(r1:r2,j),0,1);
            end;
        end;
        
        if r2==swindow0;
            sadfs=badfs;
        else
            sadfs=max(badfs);
        end;
        
        Msadfs(:,ii)=sadfs';
        
    end
    
    quantile_bsadf=quantile(Msadfs,qe);
    
    save(filename,'quantile_bsadf');
    
else
    
    fclose(f);
    load(filename);
    
end


