function quantile_gsadf=criticalvalues_GSADF(T)

    % Check if critical values with this T have already been computed
    filename=['criticalvalues/GSADF_' num2str(T) '.mat'];
    f=fopen(filename);
    if f==-1
    
        qe=[0.90;0.95;0.99];

        m=2000;
        r0=0.01+1.8/sqrt(T);
        swindow0=floor(r0*T);       % change your minimum window size here

        dim=T-swindow0+1;

        %%% %%%% DATA GENERATING PROCESS %%%%%%
        SI=1;
        randn('seed',SI);   
        e=randn(T,m);

        % Asymptotic drift
        a=T^(-1);

        y=cumsum(e+a);

        %%% THE GENERALIZED SUP ADF TEST %%%%%%

        gsadf=ones(m,1);  
        parfor j=1:m
            sadfs=zeros(dim,1); 
            for r2=swindow0:1:T;
                dim0=r2-swindow0+1;
                rwadft=zeros(dim0,1);
                for r1=1:1:dim0; 
                    rwadft(r1)= ADF_FL(y(r1:r2,j),0,1);  % two tail 5% significant level
                end;  
                sadfs(r2-swindow0+1)=max(rwadft);
            end;
            gsadf(j)=max(sadfs);
        end

        quantile_gsadf=quantile(gsadf,qe);
        
        save(filename,'quantile_gsadf');  
        
    else
        
        fclose(f);
        load(filename);
        
    end        

end

