function quantile_sadf=criticalvalues_SADF(T)

% Check if critical values with this T have already been computed

filename=['criticalvalues/SADF_' num2str(T) '.mat'];
f=fopen(filename);
if f==-1
    
    qe=[0.90;0.95;0.99];
    
    m=2000;
    r0=0.01+1.8/sqrt(T);
    swindow0=floor(r0*T);       % change your minimum window size here
    
    %%%%%% DATA GENERATING PROCESS %%%%%%
    % PWY initialize the random number generator to 1
    SI=1;
    randn('seed',SI);
    e=randn(T,m);
    
    % Asymptotic drift
    a=T^(-1);
    
    y=cumsum(e+a);
    
    %%% THE SUP ADF TEST %%%%%%
    
    badfs=zeros(T-swindow0+1,m);
    sadf=ones(m,1);
    
    % m is the number of simulations
    for j=1:1:m
        for i=swindow0:1:T
            badfs(i-swindow0+1,j)= ADF_FL(y(1:i,j),0,1);
        end
    end
    
    sadf(:,1)=max(badfs,[],1);
    
    quantile_sadf=quantile(sadf,qe);
    
    save(filename,'quantile_sadf');
    
else
    
    fclose(f);
    load(filename);
    
end


