function [ADF,SADF,GSADF,bsadfs]=runtests(y,lags)

% Code based on the script SADF_GSADF.m of PWY

% Model chosen for right-sided test is always intercept, no trend
model=1;

T=length(y);

% Follow PWY in choosing r0
r0=0.01+1.8/sqrt(T);
swindow0=floor(r0*T);
dim=T-swindow0+1;

% ADF (on the full sample)
ADF=ADF_FL(y,lags,model);

% SADF (on the full sample)
badfs=zeros(T-swindow0+1,1); 
for i=swindow0:1:T; 
  badfs(i-swindow0+1,1)= ADF_FL(y(1:i,1),lags,model);  
end;   
SADF=max(badfs);

% GSADF (on the full sample)
r2=swindow0:1:T;
r2=r2';

bsadfs=zeros(1,dim); 

for v=1:1:size(r2,1);
    swindow=swindow0:1:r2(v);
    swindow=swindow';
    r1=r2(v)-swindow+1;
    rwadft=zeros(size(swindow,1),1);
    for i=1:1:size(swindow,1); 
       rwadft(i)= ADF_FL(y(r1(i):r2(v),1),lags,model);
    end;  
    bsadfs(1,v)=max(rwadft);
    
end;
  
GSADF=max(bsadfs(1,:));