*******************************************************************************************
*******************************************************************************************
* - "No-Bubble Condition: Model-Free Tests in Housing Markets"
*   Giglio, Maggiori, and Stroebel
*   Econometrica
*******************************************************************************************
*******************************************************************************************

*******************************************************************************************
* SINGAPORE DATA PROCESSING - PART 1
* READ IN THE SINGAPORE DATA
*******************************************************************************************

clear
set more off
cap ssc install mmerge

cd "Transaction Data"

*******************************************************************************************
* Read in all files in folder and append
*******************************************************************************************

forval i = 1995(1)2013 {

cap !dir "`i'\*.csv" /a-d /b > "`i'\filelist.txt"

tempfile temp`i'

file open myfile using "`i'\filelist.txt", read
file read myfile line

while r(eof)==0 {
	insheet using "`i'\\`line'", clear
	cap append using `temp`i''
	save `temp`i'', replace
	
	file read myfile line
}

file close myfile
duplicates drop

save "`i'\SG_Data_`i'.dta", replace
}

use "1995\SG_Data_1995.dta", clear

forval i = 1996(1)2013 {
	append using "`i'\SG_Data_`i'.dta"
}

save "..\Final Dataset.dta", replace

*******************************************************************************************
* Now Project Data: adds information of units in project
*******************************************************************************************

cap ! dir "..\Project\*.csv" /a-d /b > "..\Project\filelist.txt"

tempfile temp

file open myfile using "..\Project\filelist.txt", read
file read myfile line

while r(eof)==0 {
	insheet using "..\Project\\`line'", clear
	cap append using `temp'
	save `temp', replace
	file read myfile line
}

file close myfile

keep projectname developer totalunitsinproject
duplicates drop

replace projectname = upper(projectname)

save "..\Project\Project.dta", replace

* Now merge transaction data and project data

use "..\Final Dataset.dta", clear
mmerge projectname using "..\Project\Project.dta"

keep if _merge == 1 | _merge == 3
save "..\Final Dataset.dta", replace

cd ..
