*******************************************************************************************
*******************************************************************************************
* - "No-Bubble Condition: Model-Free Tests in Housing Markets"
*   Giglio, Maggiori, and Stroebel
*   Econometrica
*******************************************************************************************
*******************************************************************************************

*******************************************************************************************
* SINGAPORE DATA PROCESSING - PART 4
* - Summary Statistics
*******************************************************************************************

set more off
set matsize 11000

use "cleaned_data.dta", clear

gen issample    = 1 if lease_type == 1 | ll_remain3 == 6
gen islease     = 0
replace islease = 1 if ll_remain==6

* Number of observations
count if issample==1 & islease==0
count if issample==1 & islease==1

* Summary Statistics
sum log_price if issample==1 & islease==1,d
sum log_price if issample==1 & islease==0,d
reg log_price islease  if issample==1, cluster(round_postal3)
areg log_price islease if issample==1, cluster(round_postal3) absorb(time_loc_type1)

sum age if issample==1 & islease==1,d
sum age if issample==1 & islease==0,d
reg age islease  if issample==1, cluster(round_postal3)
areg age islease if issample==1, cluster(round_postal3) absorb(time_loc_type1)

sum areasqm if issample==1 & islease==1,d
sum areasqm if issample==1 & islease==0,d
reg areasqm islease  if issample==1, cluster(round_postal3)
areg areasqm islease if issample==1, cluster(round_postal3) absorb(time_loc_type1)
