*******************************************************************************************
*******************************************************************************************
* - "No-Bubble Condition: Model-Free Tests in Housing Markets"
*   Giglio, Maggiori, and Stroebel
*   Econometrica
*******************************************************************************************
*******************************************************************************************

*********************************************************************************
* This file reads in the "for rent" data provided to us by  Rightmove.co.uk.
* - The underlying dataset is propriatory and not available for purchase
*********************************************************************************

import delimited "Data\RENTAL_EXPORT.csv", clear

replace flat_number = subinstr(flat_number,"FLAT","",.)
replace flat_number = subinstr(flat_number,"APARTMENT","",.)
replace flat_number = trim(flat_number)

drop unique*
duplicates drop
duplicates drop postcode street_number flat_number street, force

sort postcode street_number flat_number street
save "Data\RentalData.dta", replace
