*******************************************************************************************
*******************************************************************************************
* - "No-Bubble Condition: Model-Free Tests in Housing Markets"
*   Giglio, Maggiori, and Stroebel
*   Econometrica
*******************************************************************************************
*******************************************************************************************

************************************************************************************
* This File adds the invidivual scrapes of Zoopla Data
* --> These will be used to supplement property characteristics from RM later on.
************************************************************************************

import delimited "Data\zoopla_1.csv", clear 
tempfile temp 
save `temp'
import delimited "Data\zoopla_2.csv", clear 
append using `temp'
save `temp', replace
import delimited "Data\zoopla_3.csv", clear 
append using `temp'
save `temp', replace
import delimited "Data\zoopla_4.csv", clear 
append using `temp'
save `temp', replace
sort postcode street_number flat_number street town 

drop zoopla_url

replace flat_number = subinstr(flat_number,"FLAT","",.)
replace flat_number = subinstr(flat_number,"APARTMENT","",.)
replace flat_number = trim(flat_number)

drop if beds == . & baths == . & receps == .
duplicates drop postcode street_number flat_number street town, force
compress

sort postcode street_number flat_number street town
save "Data\ZooplaScrape.dta", replace
